About Internet Download Manager
Internet Download Manager (IDM) is an easy to use tool to increase download speeds by up to 500 percent, resume and schedule downloads. According to the opinions of IDM users Internet Download Manager is a perfect accelerator program to download your favorite software, games, cd, dvd and mp3 music, movies, shareware and freeware programs much faster!
Internet Download Manager has a built-in download logic accelerator that features intelligent dynamic file segmentation and safe multipart downloading technology to accelerate your downloads. Unlike other download accelerators and managers that segment files before downloading starts, Internet Download Manager segments downloaded files dynamically during download process. Internet Download Manager also reuses available connections without additional connect and login stages to achieve better acceleration performance.
Comprehensive error recovery and resume capability will also restart broken or interrupted downloads due to lost connections, network problems, computer shutdowns, or unexpected power outages. Simple graphic user interface makes IDM user friendly and easy to use.
Internet Download Manager has wide customization capabilities, downloadable skins, visual XP styles, multilingual interface, and supports proxy servers, FTP, HTTP and HTTPS protocols, firewalls, file redirects, cookies, directories with authorization, ZIP preview, categories, MP3 audio and MPEG video content processing and a large number of server platforms. IDM integrates seamlessly into Microsoft Internet Explorer, Netscape, AOL, MSN Explorer, Opera, and Mozilla browsers to automatically handle your downloads. You can also drag and drop files or use Internet Download Manager from command line. Internet Download Manager can dial your modem at the set time, download the files you want, then hang up or even shut down your computer when it's done.
The site grabber feature of Internet Download Manager not only lets you download required files that are specified with filters, for example all pictures from a web site, or all audio files from a web site, but it also lets you download subsets of web sites, or complete web sites for mirroring or offline browsing. It's possible to schedule multiple grabber projects to run them once at a specified time, stop them at a specified time, or run periodically to synchronize changes.
IDM checks for its new version once per week. Once it becomes available, IDM shows a dialog describing new features and suggests updating. You can also download the latest version of IDM using Quick Update tool.
When IDM is working, it shows its pyramid icon on the taskbar. IDM menu pops up when you right click on IDM icon. You can exit IDM by picking "exit" in this menu.
Some IDM functions are available in the registered version only. Please read about registration by clicking here.


Dynamic Segmentation and Performance
IDM Features:
  • Dynamic file segmentation that uses in-half division rule
  • Full reuse of connections that have finished downloading of assigned segments without additional connect and login stages
  • Selectable timeout time and number of connections to tune IDM to your particular connection type
Dynamic file segmentation and connection reuse
Internet Download Manager has optimized file download logic. IDM divides downloaded file on file segments dynamically, unlike other download accelerators that divide downloaded file in segments once just before download process starts. Dynamic segmentation gives significant download performance improvement. When file download starts, it's unclear how many connections may be opened. When new connection becomes available IDM finds the largest segment to download and divide it in half. Thus new connection starts downloading file from the half of the largest file segment. IDM minimizes the time needed for negotiations with servers and keeps all connections busy.
On a progress bar pink lines show start positions, blue - downloaded segments, white - the segments to download.
Once a connection has downloaded a segment (when blue bar comes to a pink line) and if the next connection has not started to downloaded its segment yet, IDM reassignes the segment to the first connection. If the next connection has started to downloaded its segment, first connection helps other slowly working connections by dividing the largest segment in half. IDM won't divide the segment only when its size is too small for this connection type.
When connections have finished downloading all segments, IDM will assemble segments into one file.
IDM saves all file positions several times per minute. Thus after you stoped/paused downloading or even after unexpected power shutoff, IDM will resume download and assemble file correctly.
Pink lines on the picture are new start positions after Resume


Registration

Note that you stop using the trial version after 30 day trial period. If you want to continue using IDM, you must register to get full-featured IDM version.

You'll get the following advantages after the registration:

  • additional features not available in the trial version (see below)
  • the license to use Internet Download Manager on one computer for any purpose
  • prioritized technical support
  • FREE upgrade to all new versions of IDM during one year after the registration
  • you will support IDM development to make it even better

After the registration you'll get additional features (not available in the trial version):

  • No usage limitations
  • The management of site passwords
  • Delete all completed button enabled
  • Better utilization of available bandwidth
  • Built-in download logic optimizer

Download full-featured IDM version by odering online using secure forms, by phone or fax. All necessary information will be sent immediately after the purchase. Just fill the form below

Product home page: http://www.internetdownloadmanager.com
Registration/purchase page: http://www.internetdownloadmanager.com/purchase.html


Main program window
The main window shows a list of downloaded files. This list includes additional information about downloaded files like file size, download status, estimated time to complete, current download speed and download description. You can sort the list by any column by clicking on a column header.
Download control buttons (Add URL, Start/Resume, Stop, Stop All, Delete, Delete All Completed, Options, Scheduler, Start Queue, Stop Queue, Tell A Friend) are located above the list. They can be in active or disabled state depending on what actions are possible for the current selection of downloads.
Click on Tell a Friend button to tell your friends about Internet Download Manager!
You can add a new file to download with Add URL button. You can either enter new URL in the text box or select URL from existing ones. You can also specify login information if the server demands authorization by checking "Use authorization" box.
If URL format is valid, "Save As" dialog will appear where you can type file description and choose the path where the file is to be saved. Alternatively you can add description later in "Download Properties" dialog. There are three buttons on the bottom of the dialog window. If you want to cancel the download, press on Cancel button.
If you want to start downloading immediately, press on Start/Resume Download. That will bring file IDM file download dialog. The dialog let you get an additional control over the download. It also shows download progress, average download speed, estimated time to complete, current download state, whether resume is supported by the server, etc. The dialog also has a chart to display download progress for each downloaded file segment.
You can press Pause button to postpone downloading, or Cancel to stop download and to close the dialog. You can always resume download at any time. Note that Resume button restarts download from the last saved position only if remote server supports this function.
Stop button stops downloads for selected files. You can also stop download by pushing Cancel button in File Download dialog or by closing the dialog. Stop All button stops all downloads in progress.
Delete button deletes selected files from the download list. It's enabled only for complete or paused file downloads. If file download is not complete, IDM will ask for the confirmation to delete it from the list.
Delete Completed button (available only in registered versions) deletes all complete downloads from the list.
Scheduler button starts Scheduler dialog window where you can set a time to download files in queues or assign synchronization tasks.
All main controls are also available in File menu as well as in Popup menu with the right mouse click on a file in the Download List.
You can pick Properties item in popup menu to see/edit properties of the selected file. You can change the location to save file, add description, change URL or server login information (username and password).
Categories
In the left side of the main part of the window is a tree of download categories. Internet Download Manager offers the categories feature to organize and manage your files. If you don't need it, you may simply close Categories window and don't select any categories when downloading files. Every download category has a name, a default download directory and a list of associated file types. IDM has several predefined categories like Music, Video, Programs, Documents, etc. You may delete, edit them, or add your own categories.
Right clicking on a categories item will show a menu to allow you to add a new categories, or to edit or delete existing items. When adding a category, you may choose the file extensions to associate with the category, and you may select the default download directory where to place the files of this category.
For example, Documents category could have the following extensions "doc pdf xls txt" and the following default download category "c:\downloads\documents".
IDM will suggest the category and the folder automatically when you download or save files that match the list of file types. If you disable save file dialogs in IDM options, IDM will place downloads to their designated folders automatically.
IDM Queues
IDM has 2 main queues: download queue and synchronization queue. Also you can create any number of additional queues.
You can schedule the start and the stop times of download/synchronization queues, or you can start and stop download queues manually. The main IDM list of downloads has "Q" column that shows which queue downloads belong to.
The icon with three yellow files means that the download belongs to the main download queue, three green files icon stands for the main synchronization queue. The icon with two yellow and the icon with two green files show that the download belongs to an additional download queue and an additional synchronization queue correspondingly. If a queue is scheduled for the start, then its icon has a small clock sign.
The categories field of the main IDM window has "Queues" node that shows the list of queues.
The list of queues.png
When you select a queue in the list, the main IDM list of downloads shows only the files that belong to the selected queue. The queues in this list have a simple and convenient context menu.
To display context menu you can either right click on the queue, or select the queue and press context menu button on the keyboard.
When you add a new file to download, IDM adds it to the main download queue by default, and IDM deletes the file form the download queue when its download is complete.
You can move or add files from one queue to another with the following ways:
  • using corresponding menu item in the context menu of the main download list
  • using "drag and drop" from the main download list to the list of queues on the main IDM window
  • using "drag and drop" from the list of files to the list of queues on IDM scheduler dialog, Note that downloaded files won't move to the download queues (only to synchronization queues)
Starting and stopping queues
When IDM queue is started, IDM downloads one or several files from the queue at the same time. The number of files to download at the same time can be set for each queue individually on Scheduler -> "Files in the queue" tab.
You can also start (stop) queue processing with the following ways:
  • you can press "Start Queue" and "Stop queue" on the main IDM toolbar to start and stop main download queue
  • you can use drop-down buttons located near "Start Queue" and "Stop queue" buttons on the toolbar to start/stop other queues. When you click on drop-down buttons, IDM shows the list of queues to select from.
    Start and stop queue buttons.png

  • you can pick "Downloads->Start Queue->[Corresponding Queue name]" or "Downloads->Stop Queue->[Corresponding Queue name]" menu items from IDM main menu
  • you can pick Start or Stop menu items from queue context menu in the list of queues in "Categories" window
  • you can start and stop queues in Scheduler dialog using "Start Now" and "Stop" buttons
  • you can also schedule the time to start the queue as well as the time to stop queue processing on Scheduler dialog


Drag and Drop

The customization of the look of IDM main window
Internet Download Manager has a feature to customize columns and the look of the toolbar.
The standard version of Internet Download Manager has 4 built-in toolbar looks: Large 3D buttons, Small 3D buttons, Large Classic buttons and Small Classis buttons. You can select the toolbar look that you like from these choices, or you may download a new look from Internet Download Manager home site. If you are familiar with graphics design basics, you may also draw your own toolbar for your Internet Download Manager. You may also customize what buttons should appear on the toolbar and in what order.
To customize IDM toolbar look, please right click on the toolbar and the right click menu will appear (look below).
You can select the toolbar style and the toolbar button size from the choices available in this menu. If you need to download new toolbar look for Internet Download Manager, please pick "Look for new" menu item.
To customize toolbar buttons, please select "Customize..." menu item.
In this dialog you can control what buttons should appear on IDM toolbar and in what order. Left pane of the window shows the list of available buttons. Right pane shows the list of buttons in IDM toolbar. You can order buttons by selecting a button in this list, and pressing "Move Up" or "Move Down". You may add and remove buttons by selecting a button, and pressing "Add" or "Remove".
To customize IDM columns on the main window, right click on a column header.
You may select what columns should appear, the width of columns, and the columns order. To enable a column, you should check the corresponding check box for the required column. You may move the column to another location by selecting it, and using "Move Up" and "Move Down" buttons. You may also change the order of columns by dragging and dropping a column header on the required place in IDM main window.


Starting Downloads

Starting Downloads with IDM
There are several ways to start your downloads with Internet Download Manager.
  • Automatic Mode. This mode is the easiest one. In this case you don't need to do anything special, just browse the Internet as you usually do. IDM will catch your downloads and handle them.
  • Right click in Internet Explorer. You can right click on a link in Internet Explorer, and select "Download with IDM"
  • Drag and Drop. You can drag and drop links to download with IDM
  • Add URL button. You can add downloads manually using Add URL button
  • Copy Links to Clipboard. IDM can catch download links in clipboard.
  • Command Line. IDM can work from a command line.
  • Import Downloads. IDM can import download links from a file.


Downloading with IDM in automatic mode

This method to start downloads is the easiest one. IDM takes over downloads from Internet Explorer, MSN Explorer, AOL, Opera, Mozilla and Netscape browsers, and starts downloading files automatically when users click on download links.
If you click on a download link in Internet Explorer or in another browser, IDM will take over and accelerate this download. In this case you don't need to do anything special, just browse the Internet as you usually do. IDM takes over a download from Internet Explorer if its type matches the list of types/extensions. The list of file types/extensions to download with IDM can be edited in Options->General. If IDM has taken over a download, it shows the following dialog
Download File Info Dialog
If you click on Download Later button, URL (web address) will be added to the list of downloads, but the download process doesn't start. If you click on Start Download button, IDM will start downloading the file immediately. IDM lets you associate your downloads with IDM categories. IDM suggests the category and the default download directory according to file type. You may edit categories, delete and add new categories in the main IDM window. If you want to see the contents of a zip file before downloading, you may click on Preview button.
IDM will take over any download if you hold down the CTRL key while clicking its download link in Internet Explorer. (you should check "Use CTRL key with IE click monitoring" box in "IDM Options->General").
If you hold down the ALT key while clicking on a download link in IE, IDM will not take over the download and let Internet Explorer download the file. (you should check "Use ALT key with IE click monitoring" box in "IDM Options->General")
If you don't want IDM to take over any downloads from a browser, turn off the browser integration in IDM options. After turning off or on the browser integration in "IDM Options->General", don't forget to restart the browser.
Remember if Internet Download Manager had problems downloading file, you should press Alt while clicking on a link to let the browser process the download.


Right click in Internet Explorer

IDM integrates into IE right click menu.
1. Download a specific link or all links in the selected text from an html page.
If you right click on a link in Internet Explorer, you will see "Download with IDM" menu item. Just pick this item to start downloading the link with IDM. You may also select a text in Internet Explorer, and pick "Download with IDM" to add all links in the selected text to IDM.

This way of downloading files is useful if IDM couldn't take over the download automatically.
2. Download several files from an html page.
You can download several files from an html page. IDM can import all or selected downloads linked to a web page to the main download list. Just click with right mouse button on the web page and select "Download All Links with IDM" in popup menu. See below.

After picking Download All Links with IDM menu item on any place of the page, IDM displays a dialog to import downloads from this page. See below.

At the same time IDM starts checking all downloads to find out file sizes and types. You may wait until IDM finishes, and shows its final results.
Then check the boxes for the files that you need to download with IDM. You can use Hide HTML files checkbox to filter html pages, and Check All, Uncheck All buttons to check all, or uncheck all downloads. See below.

You can select a download and press on edit button to change download location, description, save path, file name, and other attributes.
Having selected and edited downloads, click on OK button to add them to the main download list of Internet Download Manager. IDM also adds these downloads to the download queue. You can start downloads by selecting them, and by clicking on resume button, or you can start all downloads by picking "Downloads->Start Queue" menu item.
If you had other files in the queue, you can move imported downloads to the top of the queue. Click on Scheduler button, select necessary downloads using Ctrl or Shift keys with mouse clicks, and move selected downloads up using up arrow button.


Drag and Drop

Drag and Drop links from Internet Explorer to IDM main window or download basket
Drop target is a window that accepts hyperlinks dragged from Internet Explorer, Netscape, Mozilla, AOL or Opera browsers. You can drag a link from your browser and drop it to this window in order to start your downloads with IDM.
If can also drop links to IDM main window directly.
If you want to hide this window, simply close it. Later you can pick "Url-> Show drop target" from the main menu (or tray menu) if you want this window to appear again.


Add URL button

Using Add URL button.
You can download with IDM manually using Add URL button:
See Main Dialog topic for more details


Copy Links to Clipboard

IDM monitors clipboard for valid URLs (web addresses).
IDM monitors system clipboard for URLs with special extension types. When a web address is being copied to the clipboard, IDM shows its dialog to start Download.
If you click on OK button, IDM will start downloading. You can also type authorization information if server will demand it.


Command Line

You may start downloads from command line using command line parameters
You may start IDM from the command line using the following parameters
idman /s
or idman /d URL [/p local_path] [/f local_file_name] [/q] [/h] [/n] [/a]
Parameters:
/d URL - downloads a file
e.g. IDMan.exe /d "http://www.internetdownloadmanager.com/path/File Name.zip"
/s - starts queue in scheduler
/p local_path - defines the local path where to save the file
/f local_file_name - defines the local file name to save the file
/q - IDM will exit after the successful downloading. This parameter works only for the first copy
/h - IDM will hang up your connection after the successful downloading
/n - turns on the silent mode when IDM doesn't ask any questions
/a - add a file specified with /d to download queue, but don't start downloading
Parameters /a, /h, /n, /q, /f local_file_name, /p local_path work only if you specified the file to download with /d URL
Examples
C:\>idman.exe /n /d http://www.tonec.com/download/idman317.exe


Import Downloads

Importing Downloads
You can import a list of downloads to Internet Download Manager. Pick "File->Import->From text file" menu item from IDM main menu.
IDM will find all Internet links (URLs) in an imported file and show them in a list. You can delete or edit these links before importing them to Internet Download Manager.


File Properties Dialog
Properties dialog is displayed when you pick Properties item in the file popup menu, or when you double click on the file name. This dialog shows file information, and let you change file location on the hard disk, Internet file URL, and description. You can execute files by clicking on Open button.


Options Dialog
In Options dialog you may edit all IDM settings. Dialog has nine tabs:
General
File Types
Connection
Save To
Downloads
Proxy
Site logins
Dial-Up
Sounds
General tab
General tab can be used to change IDM System integration options: automatic startup, integration options into browsers, URL clipboard monitoring. IDM integrates into Internet Explorer, Opera, Mozilla , Netscape, and many other popular browsers by default.
IDM supports basic and advanced browser integration types. For basic browser integration you can check what type of integration is used for a browser by selecting the browser and clicking on details button. In basic browser integration you can add a browser by using "Add Browser..." button. IDM determines the version of the browser and will integrate into it.
IDM has a special module (IEMonitor.exe) for click monitoring in IE-based browsers (MSN Explorer, Avant, MyIE, some versions of AOL etc.) that runs separately from the main process of IDM. This module can be turned on/off using "Run module for click monitoring for IE-based browsers" checkbox.
IDM can show its Download panel on a web-player in a browser when IDM detects a multimedia request from the web-player
The advanced browser integation can be used to integrate IDM into any application that uses FTP, or HTTP protocols. If you find any problems with advanced browser integration, you may turn it off and use basic browser integration.
If you need to integrate IDM into a new browser, or any application that use HTTP and FTP download protocols, please check "Detect New Applications" box. Then when you run this application, and try to download a file that has a file type from IDM list of automatically started downloads, IDM will take over the download from this application and add the application to the list of browsers.
Keys button let you select different keyboard keys to force or prevent downloading with IDM. When you press on the Keys button, "Using special keys" dialog will appear. You may select a combination of one or more keys suitable for your web browser. Note that Opera and OLD Mozilla based browsers can be integrated with IDM using plugins. This integration type does not support special keys to prevent or force downloading with IDM from these browsers.If you want to prevent or force downloading with IDM by pressing special keys, you should use "Advanced browser integration".

File Types tab
File Types tab can be used to change the list of file types that will be taken over from a browser and downloaded by IDM.
You can prevent IDM from downloading from specified sites. If you don't want IDM to take over all downloads from a particular site, you may add it to "don't start downloading" list. You may use asterisk to match any number of characters. For example *.tonec.com will match ftp.tonec.com, www.tonec.com, www.games.tonec.com, and etc.
You can also prevent IDM from downloading from specified web-addresses. You can add/remove web addresses in "The list of addresses exceptions" dialog that appears when you press on "Edit list..." button.
Connection tab
In connection tab you must select the speed of your Internet connection. That is necessary for the optimal use of your bandwidth. Try to avoid setting "Max Connection Number" to values greater than four. Large number of connections (file segments) can deteriorate file transfer performance and may result in higher resource usage on the server you are downloading from. This may lead to some limits or other protective measures from local system administrators. On the other side, larger number of connections can increase the speed very significantly if you have a cable modem or a highly utilized (shared) Internet connection.
You can set individual numbers of connections (numbers of threads to download) for the servers in Exceptions table. You may need it for the servers that limit the number of connections from the same client. This is also useful for ftp servers that limit the number of connections to 1 or 2.
If you want to set download quotas on the usage of your Internet connection, you should set IDM Download Limits. It's useful for links that have some kind of fair access policy (like Direcway, Direct PC, Hughes, etc.). Let's say you set 40MB/hour or not more than 150MB every 4 hours, and IDM will download the maximum it can, and then resume automatically at a later time. This way you can download large files at the maximum possible speed.
Save To tab
Save To defines the default "save to" directory for a selected category. You can also change this directory by picking Properties item in the right click menu of a selected category in the main IDM window. Downloaded file will be saved to the default directory of an appropriate category. But you can change the directory to save the file before downloading in Download File Info dialog. If "Remember last save path" box is checked and you have changed the directory in Download File Info dialog, then the default "save to" directory will change for all subsequent downloads in this category.
Image Save To.png
Temporary Directory defines the path where all temporary files should be stored. You may need to change this directory only if default location doesn't have enough free disc space.
Downloads tab
In Dialogs group box you can control how IDM dialogs are displayed. Select "Don't show" item in Download progress list box, if you don't want to see "Download Progress" dialog at all. If you don't like to see "Download Progress" dialog appearing in front of all other windows, select "Show minimized". You can disable "Download Complete" dialog using "Show download complete dialog" box.
Internet Download Manager also supports the silent mode when all clicked files are automatically saved to the default directory. If you don't want to see start, progress and download complete dialogs, you may disable them. Just uncheck "Show start download dialog", "Show download complete dialog" and select "Don't show" item in Download progress list box.
Internet Download Manager is optimized for speed and it starts to download a file while showing "Download File Info" dialog. Thus while you are thinking about where to place a file after downloading on "Download File Info" dialog, the file may be downloaded partially or completely. If you use IDM scheduler and want to download the file later, or just want to add it to the queue, you may not need to start downloading the file on this dialog. In this case you should uncheck "Start download immediately while showing Download File Info dialog" box.
Sometimes Internet servers erroneously change file modification time with every download request. In this case IDM scheduler starts downloading such files from the scratch. To avoid it and to resume downloads correctly, you will need to check "Ignore file modification time changes when resuming a download" box.
If you would like to run antiviral software on download completion, you should type or browse the complete path to the executable file (see picture). If IDM knows about necessary parameters for a given executable file name, it will set them automatically. Otherwise you will have to set them manually in "Command line parameters" according to antiviral software documentation. If no parameters are set, IDM will execute antiviral software appending the complete path to a downloaded file.
Proxy tab
Proxy/Firewall tab can be used to make settings for your proxy servers. Find button can be used to copy proxy settings from Internet Explorer or Netscape Communicator. "Use FTP in PASV" option means that passive mode of FTP protocol will be used. You should turn this option on of you are behind a firewall or a proxy server. You can also specify login information if your proxy server demands authorization.
You may type Internet addresses where IDM won't use proxy servers. You may use asterisk to match any number of characters. For example *.tonec.com will match ftp.tonec.com, www.tonec.com, www.games.tonec.com, and etc.
Site Logins tab
Site Logins tab (available only in registered version) is used for making a list of login information for the sites that demand authorization. You can add different login information for different directories of the same web site. Click on New button to add new URL and Username/Password information.
Dial Up tab
If standard Windows Dial-Up service is used, IDM can edit phone book records for your connections. In list box you can select a connection to use with IDM. If your computer is connected to the Internet, IDM shows this connection by default. Otherwise IDM shows the last used connection. If you run IDM for the first time, IDM selects first record from your phone book.
After selecting connection, you can change username and password. You can save username and password in phone book by clicking on Apply button. Check Save Password box if you don't want to enter password every time you start IDM. You can also set the number of redials (0 - endlessly) and time interval between them. Click on OK button to save changes or on Cancel to discard them.
Sounds tab
IDM can play different sounds for different download events. On this tab you can select sound files and set events.

Tip: You can use standard Windows sounds stored in windows/media folder to play on events. To set a sound, select an event, click on Browse button, find a file to play and then check the event in the checkbox. You can test selected sound by using Play button.


Download Complete Dialog
When a download is finished, IDM shows "Download Complete" dialog. You can choose from several ways to open the downloaded file.
Download Complete Dialog.png
You can turn off showing the dialog by checking "Don't show this dialog again" box. Later you may turn it on or off in IDM->Options->Downloads Tab
From version 5.05 build 2 this dialog has "drag & drop" icon to start "drag and drop" operation for a downloaded file. Sometimes it's very convenient not to open the file directly, but drag it from IDM and drop it to another program.
For example if you are using a music player program like Winamp to hear mp3 music and if you open a file with "Open" button, the player will clear the current playlist and open the file alone. But if you drag and drop the file to the player, it will be added to the current playlist.


About Dialog
About dialog shows detailed information about program version. Here you can send a message to IDM support service, go to IDM home page, start the registration process or check for the availability of a newer version of IDM.


Registration dialog
This dialog can be used to register your copy of Internet Download Manager. You can view in detail how to do it on the Product Registration page


Quick Update
IDM checks for newer releases on its home site once per week and suggests updating when a new version becomes available.
Quick Update dialog asks if you want to update showing all enhancements of the new version and the date of the new release. You can also check for a newer version by selecting Update item in Help menu.